librevenge::RVNGHTMLTextParagraphStyleManager Class Reference

Small class to manage the paragraph style. More...

`#include <RVNGHTMLTextTextStyle.h>`

Inheritance diagram for librevenge::RVNGHTMLTextParagraphStyleManager:

## Public Member Functions
| RVNGHTMLTextParagraphStyleManager ()
| constructor
virtual | ~RVNGHTMLTextParagraphStyleManager ()
| destructor
void | defineParagraph (RVNGPropertyList const &pList)
| define a paragraph style
std::string | getClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
void | send (std::ostream &out)
| send the data to the stream

## Static Protected Member Functions
static std::string | getContent (RVNGPropertyList const &pList, bool isList)
| convert a property list in a html content string
static void | parseBorders (RVNGPropertyList const &pList, std::ostream &out)
| add data corresponding to the border

## Protected Attributes
std::map< std::string, std::string > | m_contentNameMap
| a map content -> name
std::map< int, std::string > | m_idNameMap
| a map id -> name

## Private Member Functions
| RVNGHTMLTextParagraphStyleManager (RVNGHTMLTextParagraphStyleManager const &orig)
RVNGHTMLTextParagraphStyleManager | operator= (RVNGHTMLTextParagraphStyleManager const &orig)

## Detailed Description

Small class to manage the paragraph style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextParagraphStyleManager() [1/2]

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inline

constructor

Referenced by operator=(), librevenge::RVNGHTMLTextListStyleManager::RVNGHTMLTextListStyleManager(), and RVNGHTMLTextParagraphStyleManager().

## ◆ ~RVNGHTMLTextParagraphStyleManager()

virtual librevenge::RVNGHTMLTextParagraphStyleManager::~RVNGHTMLTextParagraphStyleManager | ( |  | ) |
| inline virtual

destructor

## ◆ RVNGHTMLTextParagraphStyleManager() [2/2]

librevenge::RVNGHTMLTextParagraphStyleManager::RVNGHTMLTextParagraphStyleManager | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ defineParagraph()

void librevenge::RVNGHTMLTextParagraphStyleManager::defineParagraph | ( | RVNGPropertyList const & | pList | ) |

define a paragraph style

## ◆ getClass()

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

## ◆ getContent()

std::string librevenge::RVNGHTMLTextParagraphStyleManager::getContent | ( | RVNGPropertyList const & | pList,
|  | bool | isList )
| static protected

convert a property list in a html content string

Referenced by librevenge::RVNGHTMLTextListStyleManager::getClass(), getClass(), librevenge::RVNGHTMLTextSpanStyleManager::getClass(), and librevenge::RVNGHTMLTextListStyleManager::openLevel().

## ◆ operator=()

RVNGHTMLTextParagraphStyleManager librevenge::RVNGHTMLTextParagraphStyleManager::operator= | ( | RVNGHTMLTextParagraphStyleManager const & | orig | ) |
| private

## ◆ parseBorders()

void librevenge::RVNGHTMLTextParagraphStyleManager::parseBorders | ( | RVNGPropertyList const & | pList,
|  | std::ostream & | out )
| static protected

add data corresponding to the border

Referenced by getContent().

## ◆ send()

void librevenge::RVNGHTMLTextParagraphStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextListStyleManager::send().

## Member Data Documentation

## ◆ m_contentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by librevenge::RVNGHTMLTextListStyleManager::getClass(), getClass(), RVNGHTMLTextParagraphStyleManager(), and send().

## ◆ m_idNameMap

std::map<int, std::string> librevenge::RVNGHTMLTextParagraphStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineParagraph(), getClass(), and RVNGHTMLTextParagraphStyleManager().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp